# Class FrameworkExtensionInstaller

java.lang.Object
org.eclipse.osgi.storage.FrameworkExtensionInstaller

public class FrameworkExtensionInstaller extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrameworkExtensionInstaller(org.eclipse.osgi.internal.framework.EquinoxConfiguration configuraiton)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExtensionContent(Collection<ModuleRevision> revisions, Module systemModule)`
`void`
`startExtensionActivators(BundleContext context)`
`void`
`stopExtensionActivators(BundleContext context)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameworkExtensionInstaller

public FrameworkExtensionInstaller(org.eclipse.osgi.internal.framework.EquinoxConfiguration configuraiton)

## Method Details

### addExtensionContent

public void addExtensionContent(Collection<ModuleRevision> revisions, Module systemModule) throws BundleException

Throws:
  `BundleException`

### startExtensionActivators

public void startExtensionActivators(BundleContext context)

### stopExtensionActivators

public void stopExtensionActivators(BundleContext context)